class LastMessageDetails:
    def __init__(self):
        self._destination = None
        self._destination_type = None
        self._http_content_type = None
        self._http_content_encoding = None
        self._correlation_id = None
        self._expiration = None
        self._priority = None
        self._application_message_id = None
        self._application_message_type = None
        self._sender_timestamp = None
        self._redelivered = None
        self._cos = None
        self._creation_trace_id = None
        self._creation_span_id = None
        self._creation_sampled = None
        self._creation_trace_state = None
        self._transport_trace_id = None
        self._transport_span_id = None
        self._transport_sampled = None
        self._transport_trace_state = None
        self._baggage = None
        self._binary_payload_size = None

    def clear(self):
        self._destination = None
        self._destination_type = None
        self._http_content_type = None
        self._http_content_encoding = None
        self._correlation_id = None
        self._expiration = None
        self._priority = None
        self._application_message_id = None
        self._application_message_type = None
        self._sender_timestamp = None
        self._redelivered = None
        self._cos = None
        self._creation_trace_id = None
        self._creation_span_id = None
        self._creation_sampled = None
        self._creation_trace_state = None
        self._transport_trace_id = None
        self._transport_span_id = None
        self._transport_sampled = None
        self._transport_trace_state = None
        self._baggage = None
        self._binary_payload_size = None

    def __str__(self):
        ret_str = ""
        ret_str += f"destination =>               {self._destination}\n"
        ret_str += f"destination_type =>          {self._destination_type}\n"
        ret_str += f"http_content_type =>         {self._http_content_type}\n"
        ret_str += f"http_content_encoding =>     {self._http_content_encoding}\n"
        ret_str += f"correlation_id =>            {self._correlation_id}\n"
        ret_str += f"expiration =>                {self._expiration}\n"
        ret_str += f"priority =>                  {self._priority}\n"
        ret_str += f"application_message_id =>    {self._application_message_id}\n"
        ret_str += f"application_message_type =>  {self._application_message_type}\n"
        ret_str += f"sender_timestamp =>          {self._sender_timestamp}\n"
        ret_str += f"redelivered =>               {self._redelivered}\n"
        ret_str += f"cos =>                       {self._cos}\n"
        ret_str += f"creation_trace_id =>         {self._creation_trace_id}\n"
        ret_str += f"creation_span_id =>          {self._creation_span_id}\n"
        ret_str += f"creation_sampled =>          {self._creation_sampled}\n"
        ret_str += f"creation_trace_state =>      {self._creation_trace_state}\n"
        ret_str += f"transport_trace_id =>        {self._transport_trace_id}\n"
        ret_str += f"transport_span_id =>         {self._transport_span_id}\n"
        ret_str += f"transport_sampled =>         {self._transport_sampled}\n"
        ret_str += f"transport_trace_state =>     {self._transport_trace_state}\n"
        ret_str += f"baggage =>                   {self._baggage}\n"
        ret_str += f"binary_payload_size =>       {self._binary_payload_size}\n"
        return ret_str

    def set_destination(self, dest):
        self._destination = dest

    def get_destination(self):
        return self._destination

    def set_destination_type(self, dest_type):
        self._destination_type = dest_type

    def get_destination_type(self):
        return self._destination_type

    def set_http_content_type(self, content_type):
        self._http_content_type = content_type

    def get_http_content_type(self):
        return self._http_content_type

    def set_http_content_encoding(self, encoding):
        self._http_content_encoding = encoding

    def get_http_content_encoding(self):
        return self._http_content_encoding

    def set_correlation_id(self, correlation_id):
        self._correlation_id = correlation_id

    def get_correlation_id(self):
        return self._correlation_id

    def set_expiration(self, expiration):
        self._expiration = expiration

    def get_expiration(self):
        return self._expiration

    def set_priority(self, priority):
        self._priority = priority

    def get_priority(self):
        return self._priority

    def set_application_message_id(self, application_message_id):
        self._application_message_id = application_message_id

    def get_application_message_id(self):
        return self._application_message_id

    def set_application_message_type(self, application_message_type):
        self._application_message_type = application_message_type

    def get_application_message_type(self):
        return self._application_message_type

    def set_sender_timestamp(self, sender_timestamp):
        self._sender_timestamp = sender_timestamp

    def get_sender_timestamp(self):
        return self._sender_timestamp

    def set_redelivered(self, redelivered):
        self._redelivered = redelivered

    def get_redelivered(self):
        return self._redelivered

    def set_cos(self, cos):
        self._cos = cos

    def get_cos(self):
        return self._cos

    def set_creation_trace_id(self, creation_trace_id):
        self._creation_trace_id = creation_trace_id

    def get_creation_trace_id(self):
        return self._creation_trace_id

    def set_creation_span_id(self, creation_span_id):
        self._creation_span_id = creation_span_id

    def get_creation_span_id(self):
        return self._creation_span_id

    def set_creation_sampled(self, creation_sampled):
        self._creation_sampled = creation_sampled

    def get_creation_sampled(self):
        return self._creation_sampled

    def set_creation_trace_state(self, creation_trace_state):
        self._creation_trace_state = creation_trace_state

    def get_creation_trace_state(self):
        return self._creation_trace_state

    def set_transport_trace_id(self, transport_trace_id):
        self._transport_trace_id = transport_trace_id

    def get_transport_trace_id(self):
        return self._transport_trace_id

    def set_transport_span_id(self, transport_span_id):
        self._transport_span_id = transport_span_id

    def get_transport_span_id(self):
        return self._transport_span_id

    def set_transport_sampled(self, transport_sampled):
        self._transport_sampled = transport_sampled

    def get_transport_sampled(self):
        return self._transport_sampled

    def set_transport_trace_state(self, transport_trace_state):
        self._transport_trace_state = transport_trace_state

    def get_transport_trace_state(self):
        return self._transport_trace_state

    def set_baggage(self, baggage):
        self._baggage = baggage

    def get_baggage(self):
        return self._baggage
    
    def set_binary_payload_size(self, binary_payload_size):
        self._binary_payload_size = binary_payload_size

    def get_binary_payload_size(self):
        return self._binary_payload_size
