import sys

from sdkperf_py import sdkperf_python


def main(args=None):
    try:
        sdkperf_python.run()
    except Exception as ex:
        import traceback
        tb = traceback.format_exc()
        print(f"Caught error from Main: {ex}\nstack:{tb}")
        return 1
    return 0


if __name__ == '__main__':
    sys.exit(main())
