import sys

from pypubsubtools import pub_sub_server


def main(args=None):
    try:
        pub_sub_server.run()
    except Exception as ex:
        import traceback
        tb = traceback.format_exc()
        print(f"Caught error from Main: {ex}\nstack:{tb}")
        return 1
    return 0


if __name__ == '__main__':
    try:
        sys.exit(main())
    except Exception as e:
        print(f"Caught error in __main__: {e}")
