class RuntimeProperties:
    REQUEST_REPLY_WAIT_TIME = 'request_reply_wait_time'
    NUM_CLIENTS = 'num_clients'
    NUM_CONTEXT_THREADS = 'num_context_threads'
    NUM_PUB_THREADS = 'num_pub_threads'
    NUM_PUBS_PER_SESSION = 'num_pubs_per_session'
    PUBLISH_END_DELAY_IN_SEC = 'publish_end_delay_in_sec'
    PUBLISH_RATE_PER_PUB = 'publish_rate_per_pub'
    NUM_MSGS_TO_PUBLISH = 'num_msgs_to_publish'
    XML_PAYLOAD_SIZE_LIST = 'xml_payload_size_list'
    ATTACHMENT_SIZE_LIST = 'attachment_size_list'
    ATTACHMENT_FILE_LIST = 'attachment_file_list'
    XML_FILE_LIST = 'xml_file_list'
    SDM_PROP_LIST = 'sdm_prop_list'
    CLIENT_IP_ADDR = 'client_ip_addr'
    CLIENT_USERNAME = 'client_username'
    CLIENT_VPN = 'client_vpn'
    CLIENT_NAME_PREFIX = 'client_name_prefix'
    CHANGE_CLIENT_NAMES_FLAG = 'change_client_names_flag'
    CLIENT_PASSWORD = 'client_password'
    CLIENT_DESCRIPTION = 'client_description'
    CLIENT_DTO_LOCAL_PRIORITY = 'client_dto_local_priority'
    CLIENT_DTO_NETWORK_PRIORITY = 'client_dto_network_priority'
    CLIENT_COMPRESSION_LEVEL = 'client_compression_level'
    PAYLOAD_COMPRESSION_LEVEL = 'payload_compression_level'
    WANT_TCP_NODELAY = 'want_tcp_nodelay'
    PUBLISH_FILE_LIST = 'publish_file_list'
    PUBLISH_ATTACH_LIST = 'publish_attach_list'
    SMF_BINARY_FILE_LIST = 'smf_binary_file_list'
    SUBSCRIPTION_REFRESH = 'subscription_refresh'
    PUBLISH_TOPIC_LIST = 'publish_topic_list'
    PUBLISH_QUEUE_LIST = 'publish_queue_list'
    NUM_MESSAGE_PRODUCER = 'num_message_producer'
    PUBLISH_MESSAGE_PRIORITY = 'publish_message_priority'
    SELECTOR_LIST = 'selector_list'
    WANT_REMOVE_SUBSCRIBER = 'want_remove_subscriber'
    WANT_SUBSCRIPTION_MEMORY = 'want_subscription_memory'
    WANT_PER_SUB_THRU_STATS = 'want_per_sub_thru_stats'
    WANT_SUBSCRIPTION_RATE_STATS = 'want_subscription_rate_stats'
    AD_PUB_WINDOW_SIZE = 'ad_pub_window_size'
    AD_PUB_ACK_TIMEOUT = 'ad_pub_ack_timeout'
    AD_SUB_WINDOW_SIZE = 'ad_sub_window_size'
    AD_SUB_ACK_TIMEOUT = 'ad_sub_ack_timeout'
    AD_SUB_WINDOW_THRESHOLD = 'ad_sub_window_threshold'
    AD_TRANSACTION_SIZE = 'ad_transaction_size'
    AD_WANT_XA_TRANSACTION = 'ad_want_xa_transaction'
    XA_WANT_ONE_PHASE_COMMIT_TRANSACTION = 'xa_want_one_phase_commit_transaction'
    XA_NUM_MSGS_PER_TRANSACTION_SEGMENT = 'xa_num_msgs_per_transaction_segment'
    XA_NUM_SUSPENDED_TRANSACTIONS = 'xa_num_suspended_transactions'
    AD_WANT_PRODUCER_CONSUMERS_TRANSACTION = 'ad_want_producer_consumers_transaction'
    XA_TRANSACTION_IDLE_TIMEOUT = 'xa_transaction_idle_timeout'
    XA_TRANSACTION_PHASE_DELAY_BEFORE_SUSPENDING = 'xa_transaction_phase_delay_before_suspending'
    XA_TRANSACTION_PHASE_DELAY_BEFORE_ENDING = 'xa_transaction_phase_delay_before_ending'
    XA_TRANSACTION_PHASE_DELAY_BEFORE_PREPARING = 'xa_transaction_phase_delay_before_preparing'
    XA_TRANSACTION_PHASE_DELAY_BEFORE_COMMITTING = 'xa_transaction_phase_delay_before_committing'
    AD_TRANSACTION_IDLE_TIME = 'ad_transaction_idle_time'
    AD_TRANSACTION_ROLLBACK_INTERVAL = 'ad_transaction_rollback_interval'
    AD_WANT_ACTIVE_FLOW_INDICATION = 'ad_want_active_flow_indication'
    AD_ACK_IMMEDIATELY_INTERVAL = 'ad_ack_immediately_interval'
    AD_ACK_EVENT_MODE = 'ad_ack_event_mode'
    AD_WANT_PUB_ACK_ORDER_CHECK = 'ad_want_pub_ack_order_check'
    CID_STATS = 'cid_stats'
    WANT_DI_STATS = 'want_di_stats'
    AD_PUB_MAX_RESEND = 'ad_pub_max_resend'
    WANT_VERBOSE = 'want_verbose'
    WANT_QUIET = 'want_quiet'
    WANT_UD = 'want_ud'
    WANT_SYNC_RECEIVE = 'want_sync_receive'
    PUB_MESSAGE_TYPE = 'pub_message_type'
    MSG_OBJ_TYPE_LIST = 'msg_obj_type_list'
    WANT_MSG_OBJ_TYPE_CHECK = 'want_msg_obj_type_check'
    WANT_SMOOTH_PUB_CALC_LAT = 'want_smooth_pub_calc_lat'
    WANT_STRUCT_MSG_CHECK = 'want_struct_msg_check'
    STRUCT_DATA_MSGS_LIST = 'struct_data_msgs_list'
    SUB_NOTIFICATION_QUEUE_DEPTH = 'sub_notification_queue_depth'
    PUBLISH_COS = 'publish_cos'
    PUBLISH_TO_ONE = 'publish_to_one'
    BURST_DURATION = 'burst_duration'
    INTER_BURST_DURATION = 'inter_burst_duration'
    PUB_SEND_VECT_SIZE = 'pub_send_vect_size'
    MSG_DMQ_ELIGIBLE = 'msg_dmq_eligible'
    MSG_TTL = 'msg_ttl'
    MSG_ELIDING_ELIGIBLE = 'msg_eliding_eligible'
    PUB_STREAM_ID_OFFSET = 'pub_stream_id_offset'
    PUB_ORDER_OFFSET = 'pub_order_offset'
    SUBSCRIPTION_CLIENT_NAME = 'subscription_client_name'
    MSG_RATE_IS_MAX = 'msg_rate_is_max'
    IGNORE_EXISTS_ERRORS = 'ignore_exists_errors'
    SUB_MSG_QUEUE_DEPTH = 'sub_msg_queue_depth'
    WANT_CLIENT_ACK = 'want_client_ack'
    WANT_CLIENT_ACK_THREAD = 'want_client_ack_thread'
    CLIENT_ACK_SKIP_NUM = 'client_ack_skip_num'
    CLIENT_ACK_FLUSH_QUEUE = 'client_ack_flush_queue'
    CLIENT_ACK_QUEUE_REVERSE = 'client_ack_queue_reverse'
    CLIENT_ACK_RANDOM_DEPTH = 'client_ack_random_depth'
    SETTLEMENT_PATTERN_STRING = 'settlement_pattern_string'
    REQUIRED_SETTLEMENTS_STRING = 'required_settlements_string'
    TRANSACTED_SESSION_NAME_LIST = 'transacted_session_name_list'
    WEB_TRANSPORT_PROTOCOL = 'web_transport_protocol'
    WEB_TRANSPORT_PROTOCOL_LIST = 'web_transport_protocol_list'
    TRANSPORT_PROTOCOL_DOWNGRADE_TIMEOUT_MS = 'transport_protocol_downgrade_timeout_ms'
    SKIP_FINAL_COMMIT = 'skip_final_commit'
    CORRELATION_ID = 'correlation_id'
    MESSAGE_ID = 'message_id'
    WANT_MESSAGE_PRIORITY_STATS = 'want_message_priority_stats'
    WANT_MESSAGE_PRIORITY_ORDER_CHECKING = 'want_message_priority_order_checking'
    WANT_REPLAY = 'want_replay'
    WANT_REPLAY_FROM_DATE = 'want_replay_from_date'
    WANT_REPLAY_FROM_MSG_ID = "want_replay_from_msg_id"
    RECONNECT_TRIES = 'reconnect_tries'
    RECONNECT_RETRY_INTERVAL_IN_MSECS = 'reconnect_retry_interval_in_msecs'
    PARTITION_KEY_LIST = 'partition_key_list'

    # PubSubTools can request the details of the last message received
    WANT_PER_MESSAGE_DETAILS = 'want_per_message_details'

    # Provisioning of Endpoints
    WANT_PROVISIONED_ENDPOINT = 'want_provisioned_endpoint'
    PE_PERMISSION = 'pe_permission'
    PE_ACCESS_TYPE = 'pe_access_type'
    PE_QUOTA_MB = 'pe_quota_mb'
    PE_MAXMSG_SIZE = 'pe_maxmsg_size'
    PE_RESPECT_TTL = 'pe_respect_ttl'
    DISCARD_NOTIFY_SENDER = 'discard_notify_sender'
    PE_MAX_MSG_REDELIVERY = 'pe_max_msg_redelivery'

    # Destination parameters.
    SUB_DESTINATION_TYPE = 'sub_destination_type'
    # SUB_XPE_LISTS = 'sub_xpe_lists'
    SUB_TOPIC_LISTS = 'sub_topic_lists'
    SUB_DTE_LISTS = 'sub_dte_lists'
    SUB_QUEUE_LISTS = 'sub_queue_lists'
    NUM_TEMP_QUEUE_ENDPOINTS = 'num_temp_queue_endpoints'
    NUM_TEMP_TOPIC_ENDPOINTS = 'num_temp_topic_endpoints'
    WANT_NO_LOCAL = 'want_no_local'

    WANT_VERSIONPRINT = 'want_versionprint'
    WANT_MESSAGE_EXAMINE_CONTENT = 'want_message_examine_content'
    WANT_ORDER_CHECK = 'want_order_check'
    WANT_LOSS_AND_DUPLICATE_DETECTION = 'want_loss_and_duplicate_detection'
    WANT_ORDER_MEMORY = 'want_order_memory'
    WANT_PAYLOAD_CHECK = 'want_payload_check'
    OPTION_FILE = 'option_file'

    # Latency Params
    WANT_LATENCY = 'want_latency'
    WANT_FULL_LATENCY_STATS = 'want_full_latency_stats'
    LATENCY_BUCKETS = 'latency_buckets'
    LATENCY_GRANULARITY = 'latency_granularity'
    LATENCY_WARMUP_IN_SECS = 'latency_warmup_in_secs'

    # JMS Specific properties.
    JMS_SUBACK_MODE = 'jms_suback_mode'
    JMS_CONNECTION_FACTORY = 'jms-connection-factory'
    WANT_JNDI_FOR_JMS = 'want_jndi_for_jms'
    SOLACE_JMS_OPTIMIZE_DIRECT = 'solace_jms_optimize_direct'
    APPLICATION_SERVER_RA_TRANSACTION = 'application_server_ra_transaction'

    SUBSCRIBER_SUB_DELAY = 'subscriber_sub_delay'
    SLOW_SUB_DELAY_COUNT = 'slow_sub_delay_count'
    SUBSCRIBER_RATE_INTERVAL = 'subscriber_rate_interval'

    # Cache Properties
    CACHE_PROP_NAME = 'cache_prop_name'
    CACHE_PROP_MAX_MSGS_PER_TOPIC = 'cache_prop_max_msgs_per_topic'
    CACHE_PROP_MAX_AGE = 'cache_prop_max_age'
    CACHE_PROP_TIMEOUT_IN_MSEC = 'cache_prop_timeout_in_msec'
    CACHE_WANT_REQUESTS_ON_SUBSCRIBE = 'cache_want_requests_on_subscribe'
    CACHE_REQ_MSG_RATE = 'cache_req_msg_rate'
    CACHE_NUM_REQ = 'cache_num_req'
    CACHE_LIVE_DATA_ACTION = 'cache_live_data_action'
    CACHE_WANT_STATS = 'cache_want_stats'
    CACHE_REQ_MIN_SEQUENCE_NUM = 'cache_req_min_sequence_num'
    CACHE_REQ_MAX_SEQUENCE_NUM = 'cache_req_max_sequence_num'
    CACHE_REQ_WAIT_FOR_CONFIRM = 'cache_req_wait_for_confirm'

    # SSL Properties
    SSL_PROTOCOL = 'ssl_protocol'
    SSL_CONNECTION_DOWNGRADE_TO = 'ssl_connection_downgrade_to'
    SSL_EXLCUDED_PROTOCOLS = 'ssl_exlcuded_protocols'
    SSL_CLIENT_CERTIFICATE_FILE = 'ssl_client_certificate_file'
    SSL_CLIENT_PRIVATE_KEY_FILE = 'ssl_client_private_key_file'
    SSL_CLIENT_PRIVATE_KEY_FILE_PASSWORD = 'ssl_client_private_key_file_password'
    SSL_VALIDATE_CERTIFICATE = 'ssl_validate_certificate'
    SSL_VALIDATE_CERTIFICATE_DATE = 'ssl_validate_certificate_date'
    SSL_VALIDATE_CERTIFICATE_HOSTNAME = 'ssl_validate_certificate_hostname'
    SSL_CIPHER_SUITES = 'ssl_cipher_suites'
    SSL_TRUST_STORE = 'ssl_trust_store'
    SSL_TRUST_STORE_DIR = 'ssl_trust_store_dir'
    SSL_TRUST_STORE_PASSWORD = 'ssl_trust_store_password'
    SSL_TRUST_STORE_FORMAT = 'ssl_trust_store_format'
    SSL_TRUSTED_COMMON_NAME_LIST = 'ssl_trusted_common_name_list'
    SSL_KEY_STORE = 'ssl_key_store'
    SSL_KEY_STORE_PASSWORD = 'ssl_key_store_password'
    SSL_KEY_STORE_FORMAT = 'ssl_key_store_format'
    SSL_PRIVATE_KEY_ALIAS = 'ssl_private_key_alias'
    SSL_PRIVATE_KEY_PASSWORD = 'ssl_private_key_password'
    SSL_REST_KEY_STORE = 'ssl_rest_key_store'
    SSL_REST_KEY_STORE_PASSWORD = 'ssl_rest_key_store_password'
    SSL_REST_TRUST_STORE = 'ssl_rest_trust_store'
    SSL_REST_TRUST_STORE_PASSWORD = 'ssl_rest_trust_store_password'
    SSL_REST_PRIVATE_KEY_PASSWORD = 'ssl_rest_private_key_password'
    SSL_REST_WANT_CLIENT_AUTH = 'ssl_rest_want_client_auth'
    SSL_REST_NEED_CLIENT_AUTH = 'ssl_rest_need_client_auth'
    SSL_REST_EXCLUDED_CIPHER_SUITES = 'ssl_rest_excluded_cipher_suites'

    # Kerberos Properties
    JAAS_LOGIN_CONTEXT = 'jaas_login_context'
    JAAS_CONFIG_FILE_RELOAD_ENABLED = 'jaas_config_file_reload_enabled'
    KRB_SERVICE_NAME = 'krb_service_name'

    AUTHENTICATION_SCHEME = 'authentication_scheme'
    OAUTH_ACCESS_TOKEN = "OAUTH_ACCESS_TOKEN"
    OAUTH_ISSUER_ID = "OAUTH_ISSUER_ID"
    OAUTH_ID_TOKEN = "OAUTH_ID_TOKEN"

    # Channel properties
    READ_TIMEOUT_IN_MSEC = 'read_timeout_in_msec'
    KEEPALIVE_INTERVAL_MSEC = 'keepalive_interval_msec'
    RECONNECT_ATTEMPTS = 'reconnect_attempts'
    RECONNECT_FAIL_ACTION = 'reconnect_fail_action'
    RECONNECT_INTERVAL_MSEC = 'reconnect_interval_msec'

    # Queue Browsing properties
    WANT_QUEUE_BROWSER = 'want_queue_browser'
    QB_DELETE_FREQUENCY = 'qb_delete_frequency'
    QB_DELETE_BUFFER = 'qb_delete_buffer'

    # Web Messaging SDK
    WEB_MESSAGING_GOTO_URL = 'web_messaging_goto_url'
    WEB_MESSAGING_BROWSER_TYPE = 'web_messaging_browser_type'
    WEB_MESSAGING_TRANSPORT_SCHEME = 'web_messaging_transport_scheme'
    WEB_MESSAGING_USE_PROXY = 'web_messaging_use_proxy'
    WANT_DISPATCH_SESSION = 'want_dispatch_session'
    WEB_MESSAGING_SEND_BUFFER_MAX_SIZE = 'web_messaging_send_buffer_max_size'
    WEB_MESSAGING_MAX_WEB_PAYLOAD = 'web_messaging_max_web_payload'

    # General Properties
    WANT_CONTEXT_PER_CIENT = 'want_context_per_cient'
    WANT_STOP_ON_ERROR = 'want_stop_on_error'
    EXTRA_PROP_DICT = 'extra_prop_dict'
    WANT_MSG_DUMP = 'want_msg_dump'
    MSG_DUMP_DIR = 'msg_dump_dir'
    CLIENT_MODE = 'client_mode'  # tied to reflection options
    WANT_MSG_REFLECT = 'want_msg_reflect'
    WANT_USER_PROP_TOOL_DATA = 'want_user_prop_tool_data'
    WANT_NON_BLOCKING_CONNECT = 'want_non_blocking_connect'
    LAST_MESSAGE_QUEUE_DEPTH = 'last_message_queue_depth'

    MESSAGE_CALLBACK_ON_REACTOR = 'message_callback_on_reactor'
    WANT_REPLY_TOPIC = 'want_reply_topic'
    WANT_REPLY_TEMPORARY_QUEUE = 'want_reply_temporary_queue'
    REPLY_TO_POSTFIX = 'reply_to_postfix'
    REPLY_TO_STRING = 'reply_to_string'
    WANT_REPLICATION_RECONNECT = 'want_replication_reconnect'
    WANT_CUT_THROUGH_PERSISTENCE = 'want_cut_through_persistence'

    TOOL_MODE = 'tool_mode'
    API_MODE = 'api_mode'
    TOOL_THIRD_PARTY_EXTERNAL_CLIENT_CLASS = 'tool_third_party_external_client_class'

    # Runtime properties for 'publish on receive' feature
    NUMBER_OF_MSGS_TO_PUB_ON_RCV = 'number_of_msgs_to_pub_on_rcv'
    POR_TOPIC_LIST = 'por_topic_list'
    POR_QUEUE_LIST = 'por_queue_list'
    POR_MESSAGE_TYPE = 'por_message_type'
    POR_ATTACHMENT_SIZE_LIST = 'por_attachment_size_list'
    POR_REFLECT_MESSAGE = 'por_reflect_message'

    # For interaction with an application server
    APPLICATION_SERVER_COMMAND = 'application_server_command'

    # REST specific RuntimeProperties
    SERVER_PORT_LIST = 'server_port_list'
    RESTCLIENT_MODE = 'restclient_mode'
    REST_DATA_MODE = 'rest_data_mode'
    RESTSERVER_CONNECTION_TYPE = 'restserver_connection_type'

    RESTSERVER_AUTH_USERNAME = 'restserver_auth_username'
    RESTSERVER_AUTH_PASSWORD = 'restserver_auth_password'
    RESTSERVER_AUTH_HTTP_HEADER_NAME = 'restserver_auth_http_header_name'
    RESTSERVER_AUTH_HTTP_HEADER_VALUE = 'restserver_auth_http_header_value'
    RESTSERVER_RESPONSE_CONTENT = 'restserver_response_content'
    RESTSERVER_NUM_THREADS = 'restserver_num_threads'
    REST_IP_LIST = 'rest_ip_list'
    RESTSERVER_PROB_RESP = 'restserver_prob_resp'
    MESSAGE_REPLY_DELAY_LIST = 'message_reply_delay_list'

    # MQTT specific RuntimeProperties
    MQTT_PUBLISH_QOS = 'mqtt_publish_qos'
    MQTT_WANT_PUBLISH_RETAIN = 'mqtt_want_publish_retain'
    MQTT_DISABLE_SSL_HOSTNAME_VERIFICATION = 'mqtt_disable_ssl_hostname_verification'
    MQTT_SUBSCRIBE_QOS = 'mqtt_subscribe_qos'
    MQTT_WILL_TOPIC = 'mqtt_will_topic'
    MQTT_WILL_QOS = 'mqtt_will_qos'
    MQTT_WILL_RETAINED = 'mqtt_will_retained'
    MQTT_WILL_MSG_SIZE = 'mqtt_will_msg_size'
    MQTT_WANT_CLEAN_CONNECT = 'mqtt_want_clean_connect'

    # MQTT5 Runtime Properties
    MQTT5_SESSION_EXPIRY_INTERVAL = 'mqtt5_session_expiry_interval'
    MQTT5_RECEIVE_MAXIMUM = 'mqtt5_receive_maximum'
    MQTT5_REQUEST_RESPONSE_INFO = 'mqtt5_request_response_info'
    MQTT5_REQUEST_PROBLEM_INFO = 'mqtt5_request_problem_info'
    MQTT5_SEND_REASON_MESSAGES = 'mqtt5_send_reason_messages'
    MQTT5_WILL_DELAY_INTERVAL = 'mqtt5_will_delay_interval'

    # JMS specific RuntimeProperties
    CUSTOM_PROPERTIES_LIST = 'custom_properties_list'

    # Abstract Api Switch RuntimeProperties
    CLIENT_VERSION = 'client_version'

    # HTTP Properties
    HTTP_CONTENT_ENCODING = 'http_content_encoding'
    HTTP_CONTENT_TYPE = 'http_content_type'

    # Tracing Options
    WANT_TRACE_CREATION_CONTEXT = "want_trace_creation_context"
    TRACE_BAGGAGE = "trace_baggage"
    WANT_TRACE_TRANSPORT_CONTEXT = "want_trace_transport_context"
    WANT_TRACE_COPY_RECEIVE_CONTEXT = "want_trace_copy_receive_context"
    TRACE_EXPORTER_CONNECTION_STRING = "trace_exporter_connection_string"
    TRACE_EXPORTER_BATCH_SIZE = "trace_exporter_batch_size"
    TRACE_EXPORTER_SCHEDULE_DELAY = "trace_exporter_schedule_delay"
    TRACE_EXPORTER_QUEUE_SIZE = "trace_exporter_queue_size"
    WANT_TRACE_CONTEXT_PROP = "want_trace_context_prop"

    # Next gen API Properties
    PUBLISHER_BACKPRESSURE_TYPE = 'publisher_backpressure_type'
    PUBLISHER_BACKPRESSURE_BUFFER_SIZE = 'publisher_backpressure_buffer_size'
    SUBSCRIBER_BACKPRESSURE_TYPE = 'subscriber_backpressure_type'
    SUBSCRIBER_BACKPRESSURE_BUFFER_SIZE = 'subscriber_backpressure_buffer_size'
    RECEIVER_SLEEP_TIME = 'receiver_sleep_time'
    GRACE_PERIOD = 'grace_period'
    WANT_PRODUCER_LISTENERS = 'want_producer_listeners'
    WANT_PUBLISH_AWAIT_ACK = 'want_publish_await_ack'
    WANT_SINGLE_PUB_TYPE = 'want_single_pub_type'
    WANT_TERMINATION_LISTENERS = 'want_termination_listeners'
    WANT_UNGRACEFUL_TERMINATE = 'want_ungraceful_terminate'
    WANT_UNGRACEFUL_DISCONNECT = 'want_ungraceful_disconnect'

