from enum import Enum


class ActiveFlowIndicationType(Enum):
    UNKNOWN = 0
    ACTIVE = 1
    INACTIVE = 2


class FlowStatus:
    def __init__(self):
        self.is_up = False
        self.afi_state = ActiveFlowIndicationType.UNKNOWN

    def get_is_up(self):
        return self.is_up

    def get_afi_state_string(self):
        return self.afi_state.name
